Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063584 - [RFE][horizon]: Download RDP conf file to auto connect to a windows instance
Summary: [RFE][horizon]: Download RDP conf file to auto connect to a windows instance
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/hori...
Whiteboard: upstream_milestone_none upstream_stat...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-11 05:05 UTC by RHOS Integration
Modified: 2016-10-29 04:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 17:27:37 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-02-11 05:05:59 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/horizon/+spec/download-windows-rdp-file.

Description:

Windows, Linux and Mac OS make connection to a windows machine easy through a RDP configuration file. Here is an example of the content of such a configuration file:

----- instance-xxxx.rdp -----
    auto connect:i:1full address:s:94.101.81.219
    username:s:Administrator
-------------------------------

For example, on Windows, a user just has to double-click on a .rdp shortcut and it will automatically try to connect to the remote server, using the proper username.

This blueprint is to make, through Horizon, connections to a Windows instance easier and faster using this file:

1/ Start a Windows instance via Horizon
2/ Click on the "More.." dropdown for the launched instance (page instances: /project/instances/)
3/ Click "Download RDP file"
4/ Click on the downloaded file
5/ On windows, it starts connecting to the instance
6/ Just enter your password on the remote windows login box and voilà!

Notes:
- We should be able to disable this feature via horizon settings.py
- The "Download RDP file" link should be displayed only for windows images
- We could use the glance API v2 tags field to distinguish windows images. We should be able to customize this tag value in the settings.py.
Example:

------------------------
           ....
            "self": "/v2/images/3a0c219d-0a0f-48ad-9be4-97c90cfac0f4",
            "size": 9761280,
            "status": "active",
            "tags": [
                "windows-rdp",  # <--------------------------------------
                "foo",
                "bar"
            ],

------------------------

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.